FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202009041228.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202009041228.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=8eafe5d OS_GIT_VERSION=4.5.0-202009041228.p0-8eafe5d SOURCE_DATE_EPOCH=1586885681 SOURCE_GIT_COMMIT=8eafe5dc46b68c57c97bad24f17741ba44e3a34e SOURCE_GIT_TAG=8eafe5d SOURCE_GIT_URL=https://github.com/openshift/cluster-resource-override-admission 

WORKDIR /go/src/github.com/openshift/cluster-resource-override-admission
COPY . .
RUN make build

FROM openshift/ose-base:v4.5.0.20200904.124553
ENV __doozer=update BUILD_RELEASE=202009041228.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202009041228.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=8eafe5d OS_GIT_VERSION=4.5.0-202009041228.p0-8eafe5d SOURCE_DATE_EPOCH=1586885681 SOURCE_GIT_COMMIT=8eafe5dc46b68c57c97bad24f17741ba44e3a34e SOURCE_GIT_TAG=8eafe5d SOURCE_GIT_URL=https://github.com/openshift/cluster-resource-override-admission 

COPY --from=builder /go/src/github.com/openshift/cluster-resource-override-admission/bin/cluster-resource-override-admission /usr/bin/

LABEL \
        io.k8s.display-name="OpenShift ClusterResourceOverride Admission Webhook" \
        io.k8s.description="Manages level of overcommit of Pod Resource(s)" \
        io.openshift.tags="openshift,clusterresourceoverride" \
        name="openshift/ose-clusterresourceoverride-rhel7" \
        com.redhat.component="ose-clusterresourceoverride-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Node" \
        release="202009041228.p0" \
        io.openshift.build.commit.id="8eafe5dc46b68c57c97bad24f17741ba44e3a34e" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-resource-override-admission" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-resource-override-admission/commit/8eafe5dc46b68c57c97bad24f17741ba44e3a34e" \
        version="v4.5.0"

